Page MenuHomePhabricator

Can't reject changes: improper error message about blank diff
Closed, ResolvedPublicBUG REPORT

Description

Can't undo changes using reject changes button in form with button to approve pending changes. Normally, it should bring to page with summary what will be undone and prompt for edit summary. Instead, it shows error message review_reject_nulledits. Edits are not blank. Only applicable when there is only one pending edit; otherwise the edit summary used is broken but the revert is still possible

It affects all wikis with pending changes with form to flag revision or undo using button "reject".

Caused by rEFLR46291eda776f722ffe61b2a0904e11ea6cd5f014

Event Timeline

Wargo created this task.Apr 2 2020, 9:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2020, 9:25 PM
DannyS712 added a project: User-DannyS712.
DannyS712 changed the subtype of this task from "Task" to "Bug Report".
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.
DannyS712 added a subscriber: MGChecker.
DannyS712 claimed this task.EditedApr 2 2020, 11:46 PM
DannyS712 triaged this task as Unbreak Now! priority.

Tracked the cause, patch coming momentarily:
Only affects pages where there is one edit being reverted, but still, pretty much breaks the functionality; also, edit summary is broken when reverting multiple

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptApr 2 2020, 11:46 PM

Change 585618 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Fix logic for determining if pending edits were null

https://gerrit.wikimedia.org/r/585618

Krinkle added subscribers: Pchelolo, Krinkle.

Possible cause: T246284 rEFLR46291eda776f722ffe61b2a0904e11ea6cd5f014
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FlaggedRevs/+/584639/

Tagging team and reviewer of that change.

@DannyS712 Have you confirmed the problem on your local mediawiki install?

DannyS712 updated the task description. (Show Details)Apr 2 2020, 11:52 PM

Possible cause: T246284 rEFLR46291eda776f722ffe61b2a0904e11ea6cd5f014
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FlaggedRevs/+/584639/

Tagging team and reviewer of that change.

@DannyS712 Have you confirmed the problem on your local mediawiki install?

I don't have flagged revs locally installed, unfortunately, but I walked through line by line tracking what the variables should be by hand and comparing the state before and after my code above, and this was the issue

Change 585618 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Fix logic for determining if pending edits were null

https://gerrit.wikimedia.org/r/585618

Change 585621 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@wmf/1.35.0-wmf.26] Fix logic for determining if pending edits were null

https://gerrit.wikimedia.org/r/585621

Change 585621 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.35.0-wmf.26] Fix logic for determining if pending edits were null

https://gerrit.wikimedia.org/r/585621

Mentioned in SAL (#wikimedia-operations) [2020-04-03T00:42:44Z] <catrope@deploy1001> Synchronized php-1.35.0-wmf.26/extensions/FlaggedRevs/: Fix logic for determining if pending edits were null (T249277) (duration: 01m 00s)

@MGChecker can you try to reject the dewiki edit now?

DannyS712 closed this task as Resolved.Apr 3 2020, 4:47 AM

Closing as resolved, please re-open if the issue wasn't fixed on dewiki

Rejecting worked for me now.